<!DOCTYPE html><html><head>
<title>Home24h</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="css/select2.min.css">
<!-- <link rel="stylesheet" href="/devcamp1/css/customerStyle.css"> -->
<link rel="stylesheet" href="css/select2-bootstrap5.min.css">
<link rel="stylesheet" href="css/adminlte.min.css">
<link rel="stylesheet" href="css/sweetalert2.min.css">
<link rel="stylesheet" href="css/all.min.css">
<link rel="stylesheet" href="css/OverlayScrollbars.min.css">
<link rel="stylesheet" href="css/home24h.min.css">
<script data-pace-options="{" ajax":{"trackMethods":["GET","POST"],"ignoreURLs":[" session?"]}}" src="js/pace.js"></script><!-- Single quotes for data-pace-options -->
<script src="js/element-internals-polyfill.min.js"></script>
<script src="js/ewcore.min.js"></script>
<script>
var $rowindex$ = null;
Object.assign(ew, {"DEBUG":false,"SESSION_TIMEOUT_COUNTDOWN":60,"SESSION_KEEP_ALIVE_INTERVAL":0,"API_FILE_TOKEN_NAME":"filetoken","API_URL":"api/","API_ACTION_NAME":"action","API_OBJECT_NAME":"table","API_LIST_ACTION":"list","API_VIEW_ACTION":"view","API_ADD_ACTION":"add","API_EDIT_ACTION":"edit","API_DELETE_ACTION":"delete","API_LOGIN_ACTION":"login","API_FILE_ACTION":"file","API_UPLOAD_ACTION":"upload","API_JQUERY_UPLOAD_ACTION":"jupload","API_SESSION_ACTION":"session","API_LOOKUP_ACTION":"lookup","API_LOOKUP_PAGE":"page","API_PROGRESS_ACTION":"progress","API_EXPORT_CHART_ACTION":"chart","PUSH_SERVER_PUBLIC_KEY":"BOtjACwDkYiy0ep3fxtWgTy1DVxhdIJqcNmkGHJYGFvogt1uPpVW6X-c2OKWbD9vg7A0c6sIyJ8rhW2NEOtbj0M","API_PUSH_NOTIFICATION_ACTION":"push","API_PUSH_NOTIFICATION_SUBSCRIBE":"subscribe","API_PUSH_NOTIFICATION_DELETE":"delete","API_2FA_ACTION":"2fa","API_2FA_SHOW":"show","API_2FA_VERIFY":"verify","API_2FA_RESET":"reset","API_2FA_BACKUP_CODES":"codes","API_2FA_NEW_BACKUP_CODES":"newcodes","MULTIPLE_OPTION_SEPARATOR":",","AUTO_SUGGEST_MAX_ENTRIES":20,"LOOKUP_ALL_DISPLAY_FIELDS":false,"LOOKUP_PAGE_SIZE":100,"FILTER_PAGE_SIZE":100,"MAX_EMAIL_RECIPIENT":3,"UPLOAD_THUMBNAIL_WIDTH":200,"UPLOAD_THUMBNAIL_HEIGHT":0,"MULTIPLE_UPLOAD_SEPARATOR":",","IMPORT_FILE_ALLOWED_EXTENSIONS":"csv,xls,xlsx","USE_COLORBOX":true,"PROJECT_STYLESHEET_FILENAME":"css/home24h.min.css","PDF_STYLESHEET_FILENAME":"css/ewpdf.css","EMBED_PDF":true,"LAZY_LOAD":true,"REMOVE_XSS":true,"ENCRYPTED_PASSWORD":false,"INVALID_USERNAME_CHARACTERS":"<>\"'&","INVALID_PASSWORD_CHARACTERS":"<>\"'&","USE_RESPONSIVE_TABLE":true,"RESPONSIVE_TABLE_CLASS":"table-responsive","SEARCH_FILTER_OPTION":"Client","OPTION_HTML_TEMPLATE":"<span class=\"ew-option\">{value}</span>","PAGE_LAYOUT":"layout","CLIENT_VALIDATE":true}, {"CURRENCY_FORMAT":"$#,##0.00","CURRENT_USER_NAME":null,"IS_LOGGEDIN":false,"IS_SYS_ADMIN":false,"IS_RTL":false,"IS_AUTOLOGIN":false,"LANGUAGE_ID":"en-US","PATH_BASE":"/devcamp1/","PROJECT_NAME":"Home24h","SESSION_ID":"tzcgpIeifckMSjPbVNb6CRLNB8jK00K_3UMp3qOwPuY.","ANTIFORGERY_TOKEN_KEY":"csrf_value","ANTIFORGERY_TOKEN":"8d779223b954ba1be26fc71691a1201d","API_JWT_AUTHORIZATION_HEADER":"X-Authorization","API_JWT_TOKEN":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJpYXQiOjE2ODQ1NTg3OTksImp0aSI6Ikh3VHVleFJ3VklFRUVMa3p0MWdMalF6MGxRbll0NXNaWGhwWitTc0ZPQVE9IiwiaXNzIjoiaG9tZS5hbGx4b25lLnZuIiwibmJmIjowLCJleHAiOjE2ODQ1NjAyMzksInNlY3VyaXR5Ijp7InVzZXJuYW1lIjpudWxsLCJ1c2VyaWQiOm51bGwsInBhcmVudHVzZXJpZCI6IiIsInVzZXJsZXZlbGlkIjotMn19.2dCCOaVpNYBbxt7Djn9ayYRWzq7DVp09IoNSiLH_99MbOV2yo0NDP35EJfdqeGZW1ISCDTXiKkNAmOs_dyxy2w","IMAGE_FOLDER":"images/","SESSION_TIMEOUT":0,"TIMEOUT_URL":"/devcamp1/logout","USE_JAVASCRIPT_MESSAGE":true,"USE_OVERLAY_SCROLLBARS":false,"DATE_FORMAT":"M/d/yy","TIME_FORMAT":"h:mm a","DATE_SEPARATOR":"/","TIME_SEPARATOR":":","DECIMAL_SEPARATOR":".","GROUPING_SEPARATOR":",","NUMBER_FORMAT":"#,##0.###","PERCENT_FORMAT":"#,##0%","CURRENCY_CODE":"USD","CURRENCY_SYMBOL":"$","NUMBERING_SYSTEM":"","TOKEN_NAME_KEY":"csrf_name","TOKEN_NAME":"csrf646853cf0af95"});
loadjs(ew.PATH_BASE + "jquery/jquery-3.6.0.min.js", "jquery");
loadjs(ew.PATH_BASE + "js/popper.min.js", "popper");
loadjs(ew.PATH_BASE + "js/luxon.min.js", "luxon");
loadjs([
    ew.PATH_BASE + "js/mobile-detect.min.js",
    ew.PATH_BASE + "js/purify.min.js",
    ew.PATH_BASE + "jquery/load-image.all.min.js"
], "others");
loadjs(ew.PATH_BASE + "js/sweetalert2.min.js", "swal");
ew.language = new ew.Language({"2fadisabled":"Two factor authentication disabled","2faenabled":"Two factor authentication enabled","2faresetfailed":"Failed to disable two factor authentication","2faverificationfailed":"Two factor authentication verification failed","addbtn":"Add","backupcodes":"Backup codes (2FA)","backupcodesmsg":"Save your backup codes somewhere safe but accessible. You can only use each backup code once.","cancelbtn":"Cancel","changepassword":"Change Password","clickrecaptcha":"Please click reCAPTCHA checkbox","closebtn":"Close","confirmbtn":"Confirm","confirmcancel":"Do you want to cancel?","confirmpassword":"Confirm Password","cookieconsenttitle":"Cookies","cookieconsentsummary":"Use this space to summarize your privacy and cookie use policy.","copytoclipboard":"Copy to clipboard","copiedtoclipboard":"Copied to clipboard","countselected":"%s selected","currentpassword":"Current password: ","danger":"Error","deleteconfirmmsg":"Are you sure you want to delete?","deletefilterconfirm":"Delete filter %s?","details":"Details","disable2famsg":"Are you sure you want to disable two factor authentication?","disablenotifications":"Disable notifications","disablenotificationsmsg":"Are you sure you want to disable notifications?","editbtn":"Edit","email":"Email","enablenotifications":"Enable notifications","enterfiltername":"Enter filter name","enternewpassword":"Please enter new password","enteroldpassword":"Please enter old password","enterpassword":"Please enter password","enterrequiredfield":"Please enter required field - %s","entersecuritycode":"Please enter security code from the Google Authenticator (or backup code)","enterusername":"Please enter username","entervalidatecode":"Please enter validation code","enterpropersenderemail":"Exceed maximum sender email count or email address incorrect","enterproperrecipientemail":"Exceed maximum recipient email count or email address incorrect","enterproperccemail":"Exceed maximum cc email count or email address incorrect","enterproperbccemail":"Exceed maximum bcc email count or email address incorrect","entersubject":"Please enter subject","entervalue":"Please enter value","entervalue2":"Please enter second value","exportchart":"Exporting chart: ","exportchartdata":"Exporting chart data","exportcharterror":"Failed to export chart: ","exporting":"Exporting, please wait...","exportingchart":"Exporting chart (%c of %t), please wait...","exporttoemailtext":"Email","failedtoexport":"Failed to Export","filterallrecords":"All records","filtercancel":"Cancel","filtername":"Filter name","filternovalue":"No value selected","filterok":"OK","resetpassword":"Reset Password","getnewcodes":"Get new codes","importmessageerror1":"Imported %c of %t records from %f (success: %s, failure: %e)","importmessageerror2":", error: %e","importmessageerror3":"row %i: %d","importmessageerror4":"log file: %l","importmessagemore":"(%s more)","importmessageprogress":"Importing %c of %t records from %f...","importmessageservererror":"Server error %s: %t","importmessagesuccess":"Imported %c of %t records from %f successfully","importmessageuploaderror":"Failed to upload %f: %s","importmessageuploadcomplete":"Upload completed","importmessageuploadprogress":"Uploading...(p%)","importmessagepleaseselect":"Please select file","importmessageincorrectfiletype":"Incorrect file type","importtext":"Import","incorrectcreditcard":"Incorrect credit card number","incorrectdate":"Incorrect date (%s)","incorrectemail":"Incorrect email","incorrectfield":"Incorrect field value","incorrectfloat":"Incorrect floating point number","incorrectguid":"Incorrect GUID","incorrectinteger":"Incorrect integer","incorrectphone":"Incorrect phone number","incorrectrange":"Number must be between %1 and %2","incorrectregexp":"Regular expression not matched","incorrectssn":"Incorrect social security number","incorrecttime":"Incorrect time (%s)","incorrecturl":"Invalid URL","incorrectvalidationcode":"Incorrect validation code, please enter again.","incorrectzip":"Incorrect ZIP code","info":"Information","insertfailed":"Insert failed","invaliddate":"Invalid date","invalidrecord":"Invalid Record! Key is null","invalidpasswordchars":"Password must not contain &, <, >, \", or '","invalidusernamechars":"Username must not contain &, <, >, \", or '","lightboxtitle":" ","lightboxcurrent":"image {current} of {total}","lightboxprevious":"previous","lightboxnext":"next","lightboxclose":"close","lightboxxhrerror":"This content failed to load.","lightboximgerror":"This image failed to load.","loading":"Loading...","login":"Login","lookuptitle":"Lookup - %s","maxfilesize":"Max. file size (%s bytes) exceeded.","mismatchpassword":"Mismatch Password","missingpdfobject":"Missing PDFObject","newpassword":"New Password","next":"Next","noaddrecord":"No records to be added","nofieldselected":"No field selected for update","nochartdata":"No data to display","norecord":"No records found","norecordselected":"No records selected","nosubscription":"You have no subscription","nosubscriptions":"No subscriptions found","notificationsdisabled":"Notifications disabled","notificationsenabled":"Notifications enabled","of":"of","okbtn":"OK","oldpassword":"Old Password","overwritebtn":"Overwrite","page":"Page","password":"Password","passwordstrength":"Strength: %p","passwordtoosimple":"Your password is too simple","permissionadd":"Add/Copy","permissionadmin":"Admin","permissiondelete":"Delete","permissionedit":"Edit","permissionimport":"Import","permissionlistsearchview":"List/Search/View","permissionlist":"List","permissionlookup":"Lookup","permissionsearch":"Search","permissionview":"View","pleaseselect":"Please select","prev":"Prev","pushnotificationformtitle":"Title","pushnotificationformbody":"Body","pushnotificationfailure":"Failed to send push notifications (failure = %f)","pushnotificationsent":"Push notifications are sent<br>(success = %s, failure = %f)","pushnotificationsuccess":"All push notifications are sent (success = %s)","quicksearchauto":"Auto","quicksearchautoshort":"","quicksearchall":"All keywords","quicksearchallshort":"All","quicksearchany":"Any keywords","quicksearchanyshort":"Any","quicksearchexact":"Exact match","quicksearchexactshort":"Exact","recipient":"Recipient(s)","record":"Record","recordsperpage":"Page size","register":"Register","reloadbtn":"Reload","savebtn":"Save","scan2faqrcode":"After installing the Google Authenticator, scan the QR Code above and enter the verification code","search":"Search","searchbtn":"Search","securitycode":"Security code","securitycodeverified":"Security code verified, redirecting...","selectbtn":"Select","sendemailsuccess":"Email sent successfully","sender":"Sender","sendpushnotification":"Send push notifications","sendpushnotificationstoall":"No subscriptions selected. Send push notifications to all?","sendpwd":"Send","servercommunicationerror":"An error occured while communicating to the server.","sessionwillexpire":"Your session will expire in %s seconds. Click OK to continue your session.","sessionexpired":"Your session has expired.","sortup":"Ascending","sortdown":"Descending","subject":"Subject","success":"Success","tables":"Tables","unsupportedbrowser":"Your browser is not supported by this page","updatebtn":"Update","uploading":"Uploading...","uploadstart":"Start","uploadcancel":"Cancel","uploaddelete":"Delete","uploadoverwrite":"Overwrite old file?","uploaderrmsgmaxfilesize":"File is too big","uploaderrmsgminfilesize":"File is too small","uploaderrmsgacceptfiletypes":"File type not allowed","uploaderrmsgmaxnumberoffiles":"Maximum number of files exceeded","uploaderrmsgmaxfilelength":"Total length of file names exceeds field length","useradministrator":"Administrator","useranonymous":"Anonymous","userdefault":"Default","userleveladministratorname":"User level name for user level -1 must be 'Administrator'","userlevelanonymousname":"User level name for user level -2 must be 'Anonymous'","userlevelidinteger":"User level ID must be integer","userleveldefaultname":"User level name for user level 0 must be 'Default'","userlevelidincorrect":"User defined user level ID must be larger than 0","userlevelnameincorrect":"User defined user level name cannot be 'Anonymous', 'Administrator' or 'Default'","username":"User Name","valuenotexist":"Value does not exist","verify":"Verify","warning":"Warning","wrongfiletype":"File type is not allowed.","errorloading":"The results could not be loaded.","inputtoolong":"Please delete %s character(s)","inputtooshort":"Please enter %s or more characters","loadingmore":"Loading more...","maximumselected":"You can only select %s item(s)","noresults":"No results found","searching":"Searching...","removeallitems":"Remove all items","removeitem":"Remove item"});ew.vars = {"languages":{"languages":[]},"login":{"isLoggedIn":false,"currentUserName":null,"logout":{"ew-action":"redirect","url":"/devcamp1/logout"},"logoutUrl":"/devcamp1/logout","logoutText":"<i data-phrase=\"Logout\" class=\"fas fa-sign-out-alt ew-icon me-2\"><span class=\"visually-hidden\">Logout</span></i>Logout","canLogout":false,"login":{"ew-action":"redirect","url":"/devcamp1/login"},"loginTitle":"Login","loginText":"<i data-phrase=\"Login\" class=\"fas fa-sign-in-alt ew-icon\"><span class=\"visually-hidden\">Login</span></i>","canLogin":true,"resetPassword":{"ew-action":"redirect","url":"/devcamp1/resetpassword"},"resetPasswordUrl":"/devcamp1/resetpassword","resetPasswordText":"Reset Password","canResetPassword":true,"register":{"ew-action":"redirect","url":"/devcamp1/register"},"registerUrl":"/devcamp1/register","registerText":"Register","canRegister":true,"changePassword":{"ew-action":"redirect","url":"/devcamp1/changepassword"},"changePasswordUrl":"/devcamp1/changepassword","changePasswordText":"Change Password","canChangePassword":false,"personalData":{"ew-action":"redirect","url":"/devcamp1/personaldata"},"hasPersonalData":false,"personalDataUrl":"/devcamp1/personaldata","personalDataText":"Personal Data","canSubscribe":false,"subscribeText":"<i data-phrase=\"Notifications\" class=\"fas fa-bell ew-icon\"><span class=\"visually-hidden\">Notifications</span></i>"}};
ew.ready(["wrapper", "jquery"], ew.PATH_BASE + "jquery/jsrender.min.js", "jsrender", ew.renderJsTemplates);
ew.ready("jsrender", ew.PATH_BASE + "jquery/jquery.overlayScrollbars.min.js", "scrollbars"); // Init sidebar scrollbars after rendering menu
ew.ready("jquery", ew.PATH_BASE + "jquery/jquery-ui.min.js", "widget");
</script>
<script>
ew.vars.navbar = {"items":null,"accordion":false,"compact":false};
</script><script>
ew.vars.menu = {"items":[{"id":41,"name":"mi_address_map","text":"Địa chỉ tọa độ","parentId":-1,"level":0,"href":"/devcamp1/addressmaplist","attrs":" class=\"nav-link\"","target":"","isHeader":false,"active":false,"icon":"fas fa-map-marked-alt","label":"","isNavbarItem":false,"items":null,"open":false}],"accordion":true,"compact":false};
</script><script>
var cssfiles = [
    ew.PATH_BASE + "css/jquery.fileupload.css",
    ew.PATH_BASE + "css/jquery.fileupload-ui.css"
];
cssfiles.push(ew.PATH_BASE + "colorbox/colorbox.css");
loadjs(cssfiles, "css");
var cssjs = [];
var jqueryjs = [
    ew.PATH_BASE + "jquery/select2.full.min.js",
    ew.PATH_BASE + "jquery/jqueryfileupload.min.js",
    ew.PATH_BASE + "jquery/typeahead.jquery.min.js"
];
jqueryjs.push(ew.PATH_BASE + "colorbox/jquery.colorbox.min.js");
jqueryjs.push(ew.PATH_BASE + "js/pdfobject.min.js");
ew.ready(["jquery", "dom", "popper"], ew.PATH_BASE + "bootstrap5/js/bootstrap.min.js", "bootstrap"); // Bootstrap
ew.ready("bootstrap", ew.PATH_BASE + "adminlte3/js/adminlte.min.js", "adminlte"); // AdminLTE (After Bootstrap)
ew.ready(["jquery", "widget"], [jqueryjs], "jqueryjs");
ew.ready(["bootstrap", "adminlte", "jqueryjs", "scrollbars", "luxon", "others"], ew.PATH_BASE + "js/ew.min.js", "makerjs");
ew.ready("makerjs", [
    cssjs,
    ew.PATH_BASE + "js/userfn.js",
    ew.PATH_BASE + "js/userevent.js"
], "head");
</script>
<script>
loadjs(ew.PATH_BASE + "css/tempus-dominus.min.css");
ew.ready("head", [
    ew.PATH_BASE + "js/tempus-dominus.min.js",
    ew.PATH_BASE + "js/ewdatetimepicker.min.js"
], "datetimepicker");
</script>
<!-- Navbar -->
<script type="text/html" id="navbar-menu-items" class="ew-js-template" data-name="navbar" data-seq="10" data-data="navbar" data-method="appendTo" data-target="#ew-navbar">
{{if items}}
    {{for items}}
        <li id="{{:id}}" data-name="{{:name}}" class="{{if parentId == -1}}nav-item ew-navbar-item{{/if}}{{if isHeader && parentId > -1}}dropdown-header{{/if}}{{if items}} dropdown{{/if}}{{if items && parentId != -1}} dropdown-submenu{{/if}}{{if items && level == 1}} dropdown-hover{{/if}} d-none d-md-block">
            {{if isHeader && parentId > -1}}
                {{if icon}}<i class="{{:icon}}"></i>{{/if}}
                <span>{{:text}}</span>
            {{else}}
            <a href="{{:href}}"{{if target}} target="{{:target}}"{{/if}}{{if items}} role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"{{/if}}{{if attrs}}{{:attrs}}{{/if}}>
                {{if icon}}<i class="{{:icon}}"></i>{{/if}}
                <span>{{:text}}</span>
            </a>
            {{/if}}
            {{if items}}
            <ul class="dropdown-menu">
                {{include tmpl="#navbar-menu-items"/}}
            </ul>
            {{/if}}
        </li>
    {{/for}}
{{/if}}
</script>
<!-- Sidebar -->
<script type="text/html" class="ew-js-template" data-name="menu" data-seq="10" data-data="menu" data-target="#ew-menu">
{{if items}}
    <ul class="nav nav-pills nav-sidebar nav-child-indent flex-column{{if compact}} nav-compact{{/if}}" data-widget="treeview" role="menu" data-accordion="{{:accordion}}">
    {{include tmpl="#menu-items"/}}
    </ul>
{{/if}}
</script>
<script type="text/html" id="menu-items">
{{if items}}
    {{for items}}
        <li id="{{:id}}" data-name="{{:name}}" class="{{if isHeader}}nav-header{{else}}nav-item{{if items}} has-treeview{{/if}}{{if active}} active current{{/if}}{{if open}} menu-open{{/if}}{{/if}}{{if isNavbarItem}} d-block d-md-none{{/if}}">
            {{if isHeader}}
                {{if icon}}<i class="{{:icon}}"></i>{{/if}}
                <span>{{:text}}</span>
                {{if label}}
                <span class="right">
                    {{:label}}
                </span>
                {{/if}}
            {{else}}
            <a href="{{:href}}"{{if target}} target="{{:target}}"{{/if}}{{if attrs}}{{:attrs}}{{/if}}>
                {{if icon}}<i class="nav-icon {{:icon}}"></i>{{/if}}
                <p>{{:text}}
                    {{if items}}
                        <i class="right fas fa-angle-left"></i>
                        {{if label}}
                            <span class="right">
                                {{:label}}
                            </span>
                        {{/if}}
                    {{else}}
                        {{if label}}
                            <span class="right">
                                {{:label}}
                            </span>
                        {{/if}}
                    {{/if}}
                </p>
            </a>
            {{/if}}
            {{if items}}
            <ul class="nav nav-treeview"{{if open}} style="display: block;"{{/if}}>
                {{include tmpl="#menu-items"/}}
            </ul>
            {{/if}}
        </li>
    {{/for}}
{{/if}}
</script>
<script type="text/html" class="ew-js-template" data-name="languages" data-seq="10" data-data="languages" data-method="prependTo" data-target=".navbar-nav.ms-auto">
{{for languages}}<li class="nav-item"><a class="nav-link{{if selected}} active{{/if}} ew-tooltip" title="{{>desc}}" data-ew-action="language" data-language="{{:id}}">{{:id}}</a></li>{{/for}}</script>
<script type="text/html" class="ew-js-template" data-name="login" data-seq="10" data-data="login" data-method="appendTo" data-target=".navbar-nav.ms-auto">
{{if canSubscribe}}
<li class="nav-item"><a id="subscribe-notification" class="nav-link disabled">{{:subscribeText}}</a></li>
{{/if}}
{{if isLoggedIn}}
<li class="nav-item dropdown text-body">
    <a id="ew-nav-link-user" class="nav-link ew-user" data-bs-toggle="dropdown" href="#">
        <i class="fas fa-user"></i>
    </a>
    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="ew-nav-link-user">
        <div class="dropdown-header">
            <i class="fas fa-user me-2"></i>{{:currentUserName}}
        </div>
        <div class="dropdown-divider"></div>
        {{if hasPersonalData}}
        <a class="dropdown-item" id="personal-data"{{props personalData}} data-{{:key}}="{{>prop}}"{{/props}}>{{:personalDataText}}</a>
        {{/if}}
        {{if canChangePassword}}
        <a class="dropdown-item" id="change-password"{{props changePassword}} data-{{:key}}="{{>prop}}"{{/props}}>{{:changePasswordText}}</a>
        {{/if}}
        {{if enable2FAText}}
        <a class="dropdown-item{{if !enable2FA}} d-none{{/if}}" id="enable-2fa" data-ew-action="enable-2fa">{{:enable2FAText}}</a>
        {{/if}}
        {{if backupCodes}}
        <a class="dropdown-item{{if !showBackupCodes}} d-none{{/if}}" id="backup-codes" data-ew-action="backup-codes">{{:backupCodes}}</a>
        {{/if}}
        {{if disable2FAText}}
        <a class="dropdown-item{{if !disable2FA}} d-none{{/if}}" id="disable-2fa" data-ew-action="disable-2fa">{{:disable2FAText}}</a>
        {{/if}}
        {{if canLogout}}
        <div class="dropdown-divider"></div>
        <div class="dropdown-footer text-end py-0">
            <a class="btn btn-default"{{props logout}} data-{{:key}}="{{>prop}}"{{/props}}>{{:logoutText}}</a>
        </div>
        {{/if}}
    </div>
</li>
{{else}}
    {{if canLogin}}
<li class="nav-item"><a class="nav-link ew-tooltip" title="{{:loginTitle}}"{{props login}} data-{{:key}}="{{>prop}}"{{/props}}>{{:loginText}}</a></li>
    {{/if}}
    {{if canLogout}}
<li class="nav-item"><a class="nav-link ew-tooltip"{{props logout}} data-{{:key}}="{{>prop}}"{{/props}}>{{:logoutText}}</a></li>
    {{/if}}
{{/if}}
</script>
<meta name="generator" content="PHPMaker 2022.10.0">
</head>
<body class="hold-transition layout-fixed">
<div class="wrapper ew-layout">
    <!-- Main Header -->
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-green navbar-dark border-bottom-0">
        <div class="container-fluid">
            <!-- Left navbar links -->
            <ul id="ew-navbar" class="navbar-nav">
                <li class="nav-item d-block">
                    <a class="nav-link" data-widget="pushmenu" data-enable-remember="true" data-ew-action="none"><i class="fas fa-bars ew-icon"></i></a>
                </li>
                <a class="navbar-brand d-none" href="#" data-ew-action="none">
                    <span class="brand-text">Home24h</span>
                </a>
            </ul>
            <!-- Right navbar links -->
            <ul id="ew-navbar-end" class="navbar-nav ms-auto"></ul>
        </div>
    </nav>
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-green">
        <div class="brand-container">
            <!-- Brand Logo //** Note: Only licensed users are allowed to change the logo ** -->
            <a href="#" class="brand-link">
                <span class="brand-text">Home24h</span>
            </a>
                    </div>
        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel -->
                        <!-- Sidebar Menu -->
            <nav id="ew-menu" class="mt-2"></nav>
            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
                <div class="container-fluid">
                <div class="row">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">Error <small class="text-muted"></small></h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-end ew-breadcrumbs"><li class="breadcrumb-item" id="ew-breadcrumb1"><a href="/devcamp1/index" title="Home" class="ew-home"><i data-phrase="HomePage" class="fas fa-home ew-icon"><span class="visually-hidden">Home</span></i></a></li><li class="breadcrumb-item active" id="ew-breadcrumb2"><span id="ew-page-caption">Error</span></li></ol>                </div><!-- /.col -->
                </div><!-- /.row -->
            </div><!-- /.container-fluid -->
            </div>
        <!-- /.content-header -->
        <!-- Main content -->
        <section class="content">
        <div class="container-fluid">
<div class="error-page">
        <h2 class="headline text-warning">404</h2>
        <div class="error-content">
                <h3><i class="fas fa-exclamation-triangle text-warning"></i> Error</h3>
                <p>Route 'login/' not found.</p>
            </div>
    <!-- /.error-content -->
</div>
<!-- /.error-page -->
        </div><!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    <!-- Main Footer -->
    <footer class="main-footer">
        <!-- ** Note: Only licensed users are allowed to change the copyright statement. ** -->
        <div class="ew-footer-text">©2021 Home24h, Jsc. All rights reserved.</div>
        <div class="float-end d-none d-sm-inline"></div>
    </footer>
</div>
<!-- ./wrapper -->
<script>
loadjs.done("wrapper");
</script>
<!-- template upload (for file upload) -->
<script id="template-upload" type="text/html">
{{for files}}
    <tr class="template-upload">
        <td>
            <span class="preview"></span>
        </td>
        <td>
            <p class="name">{{:name}}</p>
            <p class="error"></p>
        </td>
        <td>
            <div class="progress" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="progress-bar bg-success" style="width: 0%;"></div></div>
        </td>
        <td>
            {{if !#index && !~root.options.autoUpload}}
            <button type="button" class="btn btn-default btn-sm start" disabled>Start</button>
            {{/if}}
            {{if !#index}}
            <button type="button" class="btn btn-default btn-sm cancel">Cancel</button>
            {{/if}}
        </td>
    </tr>
{{/for}}
</script>
<!-- template download (for file upload) -->
<script id="template-download" type="text/html">
{{for files}}
    <tr class="template-download">
        <td>
            <span class="preview">
                {{if !exists}}
                <span class="error">File not found</span>
                {{else url && extension == "pdf"}}
                <div class="ew-pdfobject" data-url="{{>url}}" style="width: 200px;"></div>
                {{else url && extension == "mp3"}}
                <audio controls><source type="audio/mpeg" src="{{>url}}"></audio>
                {{else url && extension == "mp4"}}
                <video controls><source type="video/mp4" src="{{>url}}"></video>
                {{else thumbnailUrl}}
                <a href="{{>url}}" title="{{>name}}" download="{{>name}}" class="ew-lightbox"><img class="ew-lazy" loading="lazy" src="{{>thumbnailUrl}}"></a>
                {{/if}}
            </span>
        </td>
        <td>
            <p class="name">
                {{if !exists}}
                <span class="text-muted">{{:name}}</span>
                {{else url && (extension == "pdf" || thumbnailUrl) && extension != "mp3" && extension != "mp4"}}
                <a href="{{>url}}" title="{{>name}}" data-extension="{{>extension}}" target="_blank">{{:name}}</a>
                {{else url}}
                <a href="{{>url}}" title="{{>name}}" data-extension="{{>extension}}" download="{{>name}}">{{:name}}</a>
                {{else}}
                <span>{{:name}}</span>
                {{/if}}
            </p>
            {{if error}}
            <div><span class="error">{{:error}}</span></div>
            {{/if}}
        </td>
        <td>
            <span class="size">{{:~root.formatFileSize(size)}}</span>
        </td>
        <td>
            {{if !~root.options.readonly && deleteUrl}}
            <button type="button" class="btn btn-default btn-sm delete" data-type="{{>deleteType}}" data-url="{{>deleteUrl}}">Delete</button>
            {{else !~root.options.readonly}}
            <button type="button" class="btn btn-default btn-sm cancel">Cancel</button>
            {{/if}}
        </td>
    </tr>
{{/for}}
</script>
<!-- modal dialog -->
<div id="ew-modal-dialog" class="modal" role="dialog" aria-hidden="true"><div class="modal-dialog modal-fullscreen-sm-down"><div class="modal-content"><div class="modal-header"><h5 class="modal-title"></h5><button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button></div><div class="modal-body"></div><div class="modal-footer"></div></div></div></div>
<!-- modal lookup dialog -->
<div id="ew-modal-lookup-dialog" class="modal" role="dialog" aria-hidden="true"><div class="modal-dialog modal-fullscreen-sm-down"><div class="modal-content"><div class="modal-header"><h5 class="modal-title"></h5></div><div class="modal-body p-0"></div><div class="modal-footer"><button type="button" class="btn btn-primary ew-btn" data-value="true" data-bs-dismiss="modal">OK</button><button type="button" class="btn btn-default ew-btn" data-value="false" data-bs-dismiss="modal">Cancel</button></div></div></div></div>
<!-- add option dialog -->
<div id="ew-add-opt-dialog" class="modal" role="dialog" aria-hidden="true"><div class="modal-dialog modal-lg"><div class="modal-content"><div class="modal-header"><h5 class="modal-title"></h5></div><div class="modal-body"></div><div class="modal-footer"><button type="button" class="btn btn-primary ew-btn">Add</button><button type="button" class="btn btn-default ew-btn" data-bs-dismiss="modal">Cancel</button></div></div></div></div>
<!-- push notification dialog -->
<div id="ew-push-notification-dialog" class="modal" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-fullscreen-sm-down">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>
            </div>
            <div class="modal-body">
                <form id="ew-push-notification-form" class="ew-form">
                                        <input type="hidden" name="csrf_name" value="csrf646853cf0af95"><!-- CSRF token name -->
                    <input type="hidden" name="csrf_value" value="8d779223b954ba1be26fc71691a1201d"><!-- CSRF token value -->
                                        <div class="row mb-3">
                        <label class="col-sm-2 col-form-label ew-label" for="notification-title">Title</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control ew-form-control w-100" name="title" id="notification-title">
                            <div class="invalid-feedback"></div>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label ew-label" for="notification-body">Body</label>
                        <div class="col-sm-10">
                            <textarea class="form-control ew-form-control" rows="6" name="body" id="notification-body"></textarea>
                            <div class="invalid-feedback"></div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary ew-btn">Send</button>
                <button type="button" class="btn btn-default ew-btn" data-bs-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>
<!-- import dialog -->
<div id="ew-import-dialog" class="modal" role="dialog" aria-hidden="true"><div class="modal-dialog modal-fullscreen-sm-down"><div class="modal-content"><div class="modal-header"><h5 class="modal-title"></h5></div>
<div class="modal-body">
    <div class="fileinput-button ew-file-drop-zone w-100">
        <input type="file" class="form-control ew-file-input" title id="importfiles" name="importfiles[]" multiple lang="en-US">
        <div class="text-muted ew-file-text">Drop file here or click to upload</div>
    </div>
    <div class="message d-none mt-3"></div>
    <div class="progress d-none mt-3"><div class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%">0%</div></div>
</div>
<div class="modal-footer"><button type="button" class="btn btn-default ew-close-btn" data-bs-dismiss="modal">Close</button></div></div></div></div>
<!-- tooltip -->
<div id="ew-tooltip"></div>
<!-- drill down -->
<div id="ew-drilldown-panel"></div>
<script>
loadjs.done("wrapper");
</script>
<script>
loadjs.ready(ew.bundleIds, function() {
    if (!loadjs.isDefined("foot"))
        loadjs.done("foot");
});
</script>


</body></html>